import dynamix_sdk.base as _base


class CloudapiComputeAttachGpuResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiComputeAttachGpuProtocol(_base.BasePostAPIFunctionProtocol):
    def attach_gpu(
        self,
        *,
        vm_id: int,
        vgpu_id: int,
    ) -> CloudapiComputeAttachGpuResultInt:
        ...
